"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = memoryTokenStore;
const storage = {};

function memoryTokenStore(clientId, url) {
  return {
    store(auth) {
      let clientData = storage.clientId;

      if (!clientData) {
        clientData = storage.clientId = {};
      }

      clientData[url] = auth;
    },

    fetch() {
      const clientData = storage.clientId;

      return clientData ? clientData[url] : undefined;
    },

    clear() {
      const clientData = storage.clientId;

      if (clientData) {
        delete clientData[url];
      }
    }
  };
}